; This script is used by Inno Setup to create a Windows Installer.
; see http://www.jrsoftware.org/isinfo.php to download Inno Setup

[Setup]
AppName=Customer Service ROBOT!
AppVerName=Customer Service ROBOT! (post-pyweek) 2008.04.06
VersionInfoVersion=2008.04.06.0
AppPublisher=Brian, Zach and James (team Jazaian)
AppPublisherURL=http://motherhamster.org/index.php?title=Pyweek_March_2008_team_Jazaian_entry
AppSupportURL=http://motherhamster.org/index.php?title=Pyweek_March_2008_team_Jazaian_entry
AppUpdatesURL=http://motherhamster.org/index.php?title=Pyweek_March_2008_team_Jazaian_entry
AppReadmeFile={app}\README.txt
DefaultDirName={pf}\Customer Service ROBOT!
DefaultGroupName=Customer Service ROBOT!
DisableProgramGroupPage=yes
AllowNoIcons=yes
AllowUNCPath=yes
LicenseFile=LICENSE.txt
InfoAfterFile=README.txt
OutputBaseFilename=customer-service-robot
Compression=bzip
SolidCompression=yes
ChangesAssociations=yes
UninstallDisplayIcon={app}\ROBOT.exe

[Languages]
Name: "eng"; MessagesFile: "compiler:Default.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"

[Files]
Source: "dist\ROBOT.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "dist\MSVCR71.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "dist\w9xpopen.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "dist\library.zip"; DestDir: "{app}"; Flags: ignoreversion
Source: "dist\data\*"; DestDir: "{app}\data\"; Flags: ignoreversion recursesubdirs createallsubdirs
Source: "README.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\Customer Service ROBOT!"; Filename: "{app}\ROBOT.exe"; WorkingDir: "{app}"; Flags: closeonexit
Name: "{userdesktop}\Customer Service ROBOT!"; Filename: "{app}\ROBOT.exe"; WorkingDir: "{app}"; Flags: closeonexit; Tasks: desktopicon
Name: "{group}\Website (Help, Updates, Source Code)"; Filename: "http://motherhamster.org/index.php?title=Pyweek_March_2008_team_Jazaian_entry";

[Registry]

[Run]

